#include <stdio.h>

main()          /* Entscheidungsoperator */
{
    int x = 2 , y = 1, z = 3;

    x += y += z;
    printf(" x = %d ,y = %d ,z = %d \n", x, y, z );
    printf(" x < y ? y : x        => %d\n", x < y ? y : x   );
    printf(" x < y ? ++x : y++    => %d\n", x<y ? ++x : y++ );
    printf(" x = %d ,y = %d ,z = %d \n", x, y, z );
    printf(" z += x<y ? x++ : y++ => %d\n", z+=x<y?x++:y++  );
    printf(" x = %d ,y = %d ,z = %d \n", x, y, z );
}
